<div class="ibox-filter">

  <div id="activity-filter-body" class="collapse show">

    <div class="p-2">

      <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

        <div class="row">

          <div class="col-md-4 mt-2" >
            <ngx-select [items]="clientList"
                        [optionValueField]="'code'"
                        [optionTextField]="'value'"
                        [allowClear]=true
                        formControlName="client"
                        [placeholder]="'FIELD.DETAILS_FONDS.CLIENTS'|translate"
                        size='small'
                        (select)='OnchangeClient($event)'
                        (remove)='Onclear()'
                        >
            </ngx-select>
            <div *ngIf="formGroup.get('client').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('client').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-2" >
            <ngx-select [items]="FondList"
                        [optionValueField]="'code'"
                        [optionTextField]="'value'"
                        [allowClear]=true
                        formControlName="fond"
                        [placeholder]="'FIELD.DETAILS_FONDS.FONDS_DETAILS'|translate"
                        size='small'
                        (select)='OnchangeFond($event)'
                        (remove)='OnclearPortf()'
                        >
            </ngx-select>
            <div *ngIf="formGroup.get('fond').invalid && showValidationsMsg">
              <div *ngIf="formGroup.get('fond').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-2 mt-2">
              <ngx-select [items]="datesList"
                          [optionValueField]="'date_vl'"
                          [optionTextField]="'date_vl'"
                          [allowClear]=true
                          formControlName="date_vl"
                          [placeholder]="'FIELD.DETAILS_FONDS.DATE_VL'|translate"
                          size='small'
                          (remove)='OnclearPortf()'
                          >
              </ngx-select>
  
              <div *ngIf="formGroup.get('date_vl').invalid && showValidationsMsg">
                <div *ngIf="formGroup.get('date_vl').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
              </div>
            </div>

          

          <div class="col-md-2 buttons-oriontation text-left mt-2" >
            <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                    (click)="initFormGroup(); onSubmit()"><i class="ri-arrow-go-back-line"></i> </button>
            <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
              class="ri-search-2-line"></i></button>
          </div>

        </div>

      </form>

    </div>

  </div>

</div>
